<template>
  <div class="champions">
    <div class="champions_header">
      <div
        class="champions_profile"
        v-if="accountName && accountName!=='No account'">
        <div
          class="flex flex_column flex-center">
          <div class="champions_profile-title">{{$t('advMaterials.reflink')}}</div>
          <div class="champions_profile-name">{{refLink}}</div>
        </div>
        <div class="flex">
          <div
            class="flex flex-middle champions_profile-icon">
            <img
              src="~/static/icons/copy.png"
              @click="copy(refLink)"
              class="icon"
              alt="">
          </div>
          <div class="flex flex-middle champions_profile-icon">
            <v-popover
              offset="16"
              placement="top-left">
              <img
                src="~/static/icons/information.png"
                alt="">
              <template slot="popover">
                {{$t('helpers.advMaterials')}}
              </template>
            </v-popover>
          </div>
        </div>
      </div>
    </div>
    <div
      class="advMaterials_body">
      <Banners v-if="false"></Banners>
      <Landings></Landings>
    </div>
  </div>
</template>

<script>
  import copyClipboard from '~/components/utils/copy';
  import Banners from './banners/index';
  import Landings from './landings/index';

  export default {
    name: "index",
    data() {
      return {
        refLink: ''
      }
    },
    components: {
      Banners,
      Landings
    },
    computed: {
      accountName() {
        return this.$store.state.wallet.accountName;
      }
    },
    methods: {
      copy(text) {
        copyClipboard(text, this.$t('common.copied'));
      }
    },
    async mounted() {
      const refInfo = await this.$store.dispatch('user/fetchReferralLink', 'https://app.16bit.game');
      this.refLink = refInfo.url;
    }
  }
</script>
